var ExtraMaterialReg = function()
{
	var emreg = {};
	var debug = 0;
	
	var emInfo;
	
	var nofExtraMaterialIsValid = false;
	var extraMaterialIsValid = false;
	var jsonOldNameArr = [];
	
	var restartTimer;
	var restartAt;
	
	// Page initialization
	emreg.initPage = function()
	{
		var frm = document.forms['meludi'];	

		// Step 1
		Events.addEventHandler('step-1', 'wizard-validate', emreg.validateStep1);
		Events.addEventHandler('nofExtraMaterial', 'keypress', Events.integerOnly);
		Events.addEventHandler('nofExtraMaterial', 'blur', emreg.nofExtraMaterialOnChange);
		Events.addEventHandler('nofExtraMaterial', 'keypress', Wizard.goNextOnTabOrEnter);
		Events.addEventHandler('arrivalDateDefault', 'blur', emreg.arrivalDateOnChange, { 'index': -1 });

		// Set default value for default arrival date
		frm.arrivalDateDefault.value = Dates.formatDate(new Date(), 'yyyyMMdd');
		
		// Step 2
		Events.addEventHandler('step-2', 'wizard-initialize', emreg.initializeStep2);
		Events.addEventHandler('step-2', 'wizard-validate', emreg.validateStep2);

		// Navigation
		Buttons.addClickHandler('gocancel', Wizard.cancelWizard);
		Buttons.addClickHandler('gorestart', Wizard.restartWizard);
		Buttons.addClickHandler('gonext', Wizard.goNextOnClick);
		Buttons.addClickHandler('goregister', Wizard.goRegister);
		Buttons.addClickHandler('gostop', emreg.stopAutoRestart);
		
		// Final registration
		Events.addEventHandler('wizard', 'wizard-submit', emreg.submit);

		Doc.show('step-1');
		Doc.show('gonext');
	}

	emreg.validateStep1 = function(event)
	{
		emreg.nofExtraMaterialOnChange();
		// If not valid, we prevent the wizard from moving to the next step
		if (!nofExtraMaterialIsValid) event.preventDefault();
	}
	
	emreg.initializeStep2 = function()
	{
		var frm = document.forms['meludi'];
		var nofExtraMaterial = frm.nofExtraMaterial.value;

		var html = '<table id="extra-material" class="step-form">';
		// First header row
		html += '<thead>';
		html += '<tr>';
		html += '<th class="dottedleft" style="width: 18em;">Name</th>';
		html += '<th colspan="3" style="width: 9em;">Type</th>';
		html += '<th style="width: 18em;">Item name</th>';
		html += '<th style="width: 8em;">Arrival date</th>';
		html += '<th style="width: 300px;">Operator delivery comment</th>';
		html += '<th></th>';
		html += '<th>Input message</th>';
		html += '</tr>';
		// Second header row
		html += '<tr>';
		html += '<th></th>';
		html += '<td style="width: 3em;">DNA</td><td style="width: 3em;">RNA</td><td style="width: 3em;">Spec.</td>';
		html += '<th class="dottedleft"></th>';
		html += '<th style="width: 8em;"></th>';
		html += '<td style="width: 300px;"></td>';
		html += '<td class="dottedleft"></td>';
		html += '<td class="dottedleft"></td>';
		html += '</tr>';
		html += '</thead>';
		html += '<tbody>';

		for (var i=0; i < nofExtraMaterial; i++)
		{
			// Get id for next tab field, going down each column, starting with the one at left
			var nameNextId = 'name.'+(i+1);
			// Check if reached last row
			if (i == nofExtraMaterial-1)
			{
				nameNextId = 'comment.0';
			}
			var arrivalDateNextId = 'arrivaldate.'+(i+1);
			// Check if reached last row
			if (i == nofExtraMaterial-1)
			{
				arrivalDateNextId = 'comment.0';
			}
			// Check if reached last row
			var commentNextId = 'comment.'+(i+1);
			if (i == nofExtraMaterial-1)
			{
				commentNextId = 'goregister';
			}
			html += '<tr>';
			html += '<td><input type="text" id="name.'+i+'" style="width: 16em;" data-next-focus="'+nameNextId+'"></intput></td>';
			html += '<td style="width: 3em;"><input type="radio" name="type.'+i+'" id="isDna.'+i+'" value="DNA" checked></td>';
			html += '<td style="width: 3em;"><input type="radio" name="type.'+i+'" id="isRna.'+i+'" value="RNA" ></td>';
			html += '<td style="width: 3em;"><input type="radio" name="type.'+i+'" id="isSpecimen.'+i+'" value="Specimen" ></td>';
			html += '<td id="itemname.'+i+'" style="width: 18em;"></td>';
			// Arrival date
			html += '<td class="input" style="width: 8em;">';
			html += '<input type="text" id="arrivaldate.'+i+'"'
			html += '    class="auto-init" data-auto-init="focus-on-enter" data-next-focus="'+arrivalDateNextId+'"'
			html += '    data-disallow-future-date="1"'
			html += '    style="width: 6em;" maxlength="10">'
			html += '</td>';
			// Operator delivery comment
			html += '<td class="input"  style="width: 300px;"><textarea rows="1" name="comment.'+i+'" id="comment.'+i+'" style="width: 300px; height: 20px;" data-next-focus="'+commentNextId+'"></textarea></td>';
			// Status and message columns
			html += '<td class="status" id="extramaterial.'+i+'.status"></td>';
			html += '<td class="help"><span id="extramaterial.'+i+'.message" class="message"></span></td>';		
			html += '</tr>';
		}
		Doc.element('extra-material').innerHTML = html;

		for (var i=0; i < nofExtraMaterial; i++)
		{
			// Add event handlers
			Events.addEventHandler('name.'+i, 'change', emreg.nameOnChange, { 'index': i });
			Events.addEventHandler('isDna.'+i, 'change', emreg.typeOnChange, { 'type': 'DNA', 'index': i });
			Events.addEventHandler('isRna.'+i, 'change', emreg.typeOnChange, { 'type': 'RNA', 'index': i });
			Events.addEventHandler('isSpecimen.'+i, 'change', emreg.typeOnChange, { 'type': 'Specimen', 'index': i });
			Events.addEventHandler('arrivaldate.'+i, 'blur', emreg.arrivalDateOnChange, { 'index': i });

			// Set default values for dates
			var defaultArrivalDate = frm.arrivalDateDefault.value;
			frm['arrivaldate.'+i].value = defaultArrivalDate;

			// Set default values for input status
			Wizard.setInputStatus('extramaterial.'+i, 'invalid', 'Missing name');
		}

		Wizard.setCurrentStep(2);
		Doc.show('goregister');
		Doc.show('gocancel');
		frm['name.0'].focus();
	}

	emreg.nofExtraMaterialOnChange = function()
	{
		nofExtraMaterialIsValid = false;

		var frm = document.forms['meludi'];
		var nofExtraMaterial = frm.nofExtraMaterial.value;
		
		if (nofExtraMaterial == '')
		{
			Wizard.setInputStatus('nofExtraMaterial', 'invalid', 'Missing');
			return;
		}
		if (parseInt(nofExtraMaterial) < 1)
		{
			Wizard.setInputStatus('nofExtraMaterial', 'invalid', 'Must be at least 1');
			return;
		}
		Wizard.setInputStatus('nofExtraMaterial', 'valid');
		nofExtraMaterialIsValid = true; 
	}

	emreg.nameOnChange = function(event)
	{
		var frm = document.forms['meludi'];
		var target = event.currentTarget;

		var index = Data.int(target, 'index');

		extraMaterialIsValid = true;

		var namePrefix = 'name.';
		var name = frm[namePrefix+index].value;

		if (name == '')
		{
			Wizard.setInputStatus('extramaterial.'+index, 'invalid', 'Missing name');
			extraMaterialIsValid = false;
			return;
		}
		if (name.indexOf('ML') == 0)
		{
			Wizard.setInputStatus('extramaterial.'+index, 'invalid', 'Name of extra material must not start with "ML"');
			extraMaterialIsValid = false;
			return;
		}
		Wizard.setInputStatus('extramaterial.'+index, 'valid');

		var type = frm['type.'+index].value;

		// Check if an old name exists
		var oldName = jsonOldNameArr[index];

		var url = '../SpecimenTubeRegistration.servlet?ID='+App.getSessionId();
		url += '&cmd=GetExtraMaterialInfo';
		url += '&index=' + encodeURIComponent(index);
		url += '&name=' + encodeURIComponent(name);
		url += '&type=' + encodeURIComponent(type);
		url += '&oldName=' + encodeURIComponent(oldName);
		
		Wizard.showLoadingAnimation('Loading information about extra material...');
		Wizard.asyncJsonRequest(url, emreg.extraMaterialInfoLoaded);
	}

	emreg.extraMaterialInfoLoaded = function(response)
	{
		var frm = document.forms['meludi'];	
		var nofExtraMaterial = frm.nofExtraMaterial.value;
		emInfo = response.emInfo;

		var index = emInfo.index;
		var name = emInfo.name;
		var type = emInfo.type;
		var namePrefix = 'name.';
		var typePrefix = 'type.';
		var itemnamePrefix = 'itemname.';
		var nofSpecimen = emInfo.nofSpecimen;
		var nofDna = emInfo.nofDna;
		var nofRna = emInfo.nofRna;
		var highestSpecimenNumber = emInfo.highestSpecimenNumber;
		var oldNameHighestSpecimenNumber = emInfo.oldNameHighestSpecimenNumber;		
		var jsonResult = [];
		var itemnamePrefix = 'itemname.';
		var jsonExtractSuffix = {};
		jsonExtractSuffix['DNA'] = '.d';
		jsonExtractSuffix['RNA'] = '.r';

		if (type == 'DNA' && nofDna > 0)
		{
			Wizard.setInputStatus('extramaterial.'+index, 'invalid', 'DNA extract with that name already exists');
			extraMaterialIsValid = false;
			return;
		}

		if (type == 'RNA' && nofRna > 0)
		{
			Wizard.setInputStatus('extramaterial.'+index, 'invalid', 'RNA extract with that name already exists');
			extraMaterialIsValid = false;
			return;
		}

		var itemname = name;
		//
		jsonResult = emreg.checkExtractItemNames();
		for (var i=0; i < nofExtraMaterial; i++)
		{
			var tmpType = frm[typePrefix+i].value;
			var tmpName = frm[namePrefix+i].value;
			if (tmpType == 'DNA' || tmpType == 'RNA')
			{
				if (tmpName == '')
				{
					Doc.element(itemnamePrefix+i).innerHTML = '';
					Wizard.setInputStatus('extramaterial.'+i, 'invalid', 'Missing name');
					extraMaterialIsValid = false;
				}
				else
				{
					if (jsonResult[i])
					{
						itemname = tmpName + jsonExtractSuffix[tmpType];
						// Update itemname
						Doc.element(itemnamePrefix+i).innerHTML = itemname;
						Wizard.setInputStatus('extramaterial.'+i, 'valid', '');
					}
					else
					{
						Wizard.setInputStatus('extramaterial.'+i, 'invalid', tmpType + ' extract name duplicate');
						extraMaterialIsValid = false;
					}
				}
			}
		}
		if (type == 'Specimen')
		{
			// Update all specimens with same base name to get unique number suffices
			emreg.updateSpecimenItemNames(name, highestSpecimenNumber);
		}

		// Check if an old name exists
		var oldName = jsonOldNameArr[index];
		if (oldName)
		{
			// Update all specimens with same old base name to get unique number suffices
			emreg.updateSpecimenItemNames(oldName, oldNameHighestSpecimenNumber);
		}
		// Update JSONArr of names
		jsonOldNameArr[index] = name;
	}

	/**
	 *	Check for duplicate names of extracs in list.
	 *	The first occurrence is considered OK, while
	 *	following are considered duplicates. JSONArray
	 *	jsonResults has value `false` for duplicates,
	 *	else `true`.
	 */
	emreg.checkExtractItemNames = function()
	{
		// Check if more than one extract item with same name
		// and type exists in the table

		var frm = document.forms['meludi'];
		var namePrefix = 'name.';
		var typePrefix = 'type.';
		var itemnamePrefix = 'itemname.';
		var nofExtractsWithName = 0;
		var jsonResult = [];
		jsonResult[0] = true;
		var nofExtraMaterial = frm.nofExtraMaterial.value;
		for (var i=0; i < nofExtraMaterial; i++)
		{
			jsonResult[i] = true;
		}
		for (var i=0; i < nofExtraMaterial; i++)
		{
			var currentType = frm[typePrefix+i].value;
			var currentName = frm[namePrefix+i].value;
			for (var j=(i+1); j < nofExtraMaterial; j++)
			{
				var type = frm[typePrefix+j].value;
				if (type == currentType)
				{
					var name = frm[namePrefix+j].value;
					if (name == currentName)
					{
						jsonResult[j] = false;
					}
				}
			}
		}
		return jsonResult;
	}

	emreg.updateSpecimenItemNames = function(currentName, highestSpecimenNumber)
	{
		// Update all item names for specimens with given name
		// by adding numbers above those already used for specimens
		// in the database 

		var frm = document.forms['meludi'];
		var nofExtraMaterial = frm.nofExtraMaterial.value;
		var highestTempSpecimenNumber = highestSpecimenNumber;
		for (var i=0; i < nofExtraMaterial; i++)
		{
			var namePrefix = 'name.';
			var typePrefix = 'type.';
			var itemnamePrefix = 'itemname.';
			var type = frm[typePrefix+i].value;
			if (type == 'Specimen')
			{
				var name = frm[namePrefix+i].value;
				if (name == currentName)
				{
					// Increment highest temporary specimen number
					highestTempSpecimenNumber++;
					var itemname = name + '.' + highestTempSpecimenNumber;

					// Update itemname
					Doc.element(itemnamePrefix+i).innerHTML = itemname;
				}
			}
		}
	}

	emreg.typeOnChange = function(event)
	{
		emreg.nameOnChange(event);
	}

	emreg.arrivalDateOnChange = function(event)
	{
		var frm = document.forms['meludi'];
		var target = event.currentTarget;

		var index = Data.int(target, 'index');

		var arrivalDateKey = 'arrivalDateDefault';
		var messageFieldKey = 'arrivalDateDefault';
		if (index >= 0)
		{
			var arrivalDatePrefix = 'arrivaldate.';
			var messageFieldPrefix = 'extramaterial.';
			arrivalDateKey = arrivalDatePrefix+index;
			messageFieldKey = messageFieldPrefix+index;
		}
		var arrivalDate = frm[arrivalDateKey].value;

		if (arrivalDate != '')
		{
			// Auto-fill the date if it's only given with 4(MMdd) or 6(yyMMdd) digits.
			arrivalDate = Meludi.autoFillDate(arrivalDate);
			frm[arrivalDateKey].value = arrivalDate;
		
			var d = Dates.parseString(arrivalDate, 'yyyyMMdd');
			if (d == null)
			{
				Wizard.setInputStatus(messageFieldKey, 'invalid', 'Not a valid date');
				return;
			}
			
			var today = new Date();
			if (d.getTime() > today.getTime())
			{
				Wizard.setInputStatus(messageFieldKey, 'invalid', 'Future date is not valid');
				return;
			}

			Wizard.setInputStatus(messageFieldKey, 'valid');
			emreg.nameOnChange(event);
		}
	}
	
	emreg.validateStep2 = function(event)
	{
		var valid = true;
		var frm = document.forms['meludi'];	

		valid &= nofExtraMaterialIsValid;
		valid &= extraMaterialIsValid;
		
		if (!valid) event.preventDefault();
	}

	emreg.submit = function()
	{
		var frm = document.forms['meludi'];

		var nofExtraMaterial = parseInt(frm.nofExtraMaterial.value);
		emInfo.specimen = [];
		for (var i = 0; i < nofExtraMaterial; i++)
		{
			var specimenTube = {};
			specimenTube.name = Doc.element('itemname.'+i).innerHTML;
			specimenTube.type = frm['type.'+i].value;
			specimenTube.arrivaldate = frm['arrivaldate.'+i].value;
			specimenTube.comment = frm['comment.'+i].value;
			emInfo.specimen[i] = specimenTube;
		}

		var submitInfo = {};
		submitInfo.emInfo = emInfo;

		var url = '../SpecimenTubeRegistration.servlet?ID='+App.getSessionId();
		url += '&cmd=CreateExtraMaterial';
		Wizard.showLoadingAnimation('Performing registration...');
		Wizard.asyncJsonRequest(url, emreg.submissionResults, 'POST', JSON.stringify(submitInfo));
	}

	emreg.submissionResults = function(response)
	{
		Wizard.showFinalMessage(response.messages);
		Doc.show('gorestart');
		Doc.show('gonext-message');
	}

	emreg.countDownToRestart = function()
	{
		var time = restartAt - (new Date()).getTime();
		if (time < 0)
		{
			Wizard.restartWizard();
		}
		else
		{
			Doc.element('gonext-message').innerHTML = '<i>Wizard will restart automatically in ' + Math.ceil(time/1000) + ' seconds...</i>';
		}
	}
	
	emreg.stopAutoRestart = function()
	{
		clearTimeout(restartTimer);
		Doc.hide('gonext-message');
		Doc.hide('gostop');
	}

	return emreg;
}();

Doc.onLoad(ExtraMaterialReg.initPage);

