var AutoSelect = function()
{
	var autoselect = {};
	var debug = 0;
	var hasInitProtocols = false;

	// Page initialization
	autoselect.initPage = function()
	{
		Buttons.addClickHandler('close', App.closeWindow);
		Buttons.addClickHandler('btnOk', autoselect.doAutoSelect);
		
		Events.addEventHandler('quantity_regular', 'keypress', Events.numberOnly);
		Events.addEventHandler('quality_score', 'keypress', Events.numberOnly);

/*		
		Events.addEventHandler('preNormalized.0', 'click', autoselect.setPreNormalize);
		Events.addEventHandler('preNormalized.1', 'click', autoselect.setPreNormalize);
*/

/*		
		Events.addEventHandler('normalizationProtocol', 'change', autoselect.protocolOnChange);
		Meludi.loadProtocols('DNA_NORMALIZATION_PROTOCOL', 'normalizationProtocol', 'DNA_TARGET_AMOUNT,DNA_TARGET_VOLUME');
		autoselect.setPreNormalize();
*/
	}

	autoselect.setPreNormalize = function()
	{
		var frm = document.forms['options'];
		var preNormalize = frm.preNormalized[1].checked;
		
		Doc.element('normalizationProtocol').disabled = !preNormalize;
		Doc.element('remainingQuantity').disabled = preNormalize;
		Doc.element('quantity_regular').disabled = preNormalize;
		Doc.element('qualityScore').disabled = preNormalize;
		Doc.element('quality_score').disabled = preNormalize;
		Doc.element('reProcess').disabled = preNormalize;
		Doc.element('flag').disabled = preNormalize;	
	}
	
	autoselect.protocolOnChange = function()
	{
		var frm = document.forms['options'];

		if (!hasInitProtocols)
		{
			hasInitProtocols = true;
			
			if (frm.normalizationProtocol.length == 0)
			{
				Wizard.setFatalError('No DNA normalization protocols found. Please ask the server administrator to create at least one protocol.');
				return;
			}
			
			var targetDnaAmount = parseFloat(frm.quantity_regular.value);
			var closestAlternateProtocolIndex = -1;
			var closestDnaAmount = 999;
			
			for (var i=0; i < frm.normalizationProtocol.length; i++)
			{
				var p = frm.normalizationProtocol[i].item;
				frm.normalizationProtocol[i].text = p.name + ' (' + (p.DNATargetAmount || '? ') + 'µg in '+(p.DNATargetVolume || '? ')+'µl)';
				
				// Adjust default selected protocol to match the expected DNA amount
				// The protocol must be an alternate project default and have a DNATargetAmount value
				if (p.alternateDefault && p.DNATargetAmount)
				{
					var tmp = Math.abs(targetDnaAmount-p.DNATargetAmount);
					if (tmp < closestDnaAmount)
					{
						closestDnaAmount = tmp;
						closestAlternateProtocolIndex = i;
					}
				}
			}
			
			if (closestAlternateProtocolIndex != -1)
			{
				frm.normalizationProtocol.selectedIndex = closestAlternateProtocolIndex;
			}
		}
	}

	
	autoselect.doAutoSelect = function()
	{
		var options = {};
		var frm = document.forms['options'];

/*		
		var preNormalize = frm.preNormalized[1].checked;
*/
		var preNormalize = false;
		var startDate = frm.startDate.value;
		if (startDate && !Dates.isDate(startDate, 'yyyyMMdd'))
		{
			Forms.showNotification('startDate', 'Not a valid date');
			return;
		}
		
		if (!preNormalize)
		{
			var qRegular = parseFloat(frm.quantity_regular.value);
			if (!(qRegular > 0))
			{
				Forms.showNotification('quantity_regular', 'Remaining quantity must be a number >0');
				return;
			}
			
			var qualityScore = parseFloat(frm.quality_score.value);
/*
			if (!(qualityScore > 0))
			{
				Forms.showNotification('quality_score', 'RQS/RIN must be a number >0')
				return;
			}
*/
		}
		else
		{
			options.normalizationProtocol = parseInt(frm.normalizationProtocol.value);
		}
		

		if (startDate) options.startDate = startDate;
		if (preNormalize)
		{
			options.preNormalized = 1;
		}
		else
		{
			if (frm.remainingQuantity.checked) options.remainingQuantity = qRegular;
			if (frm.qualityScore.checked) options.qualityScore = qualityScore;
/*
			if (frm.flag.checked) options.flag = 1;
*/
/*
			if (frm.reProcess.checked) options.reProcess = 1;
*/
		}
		
		options.ignore = Data.json('page-data', 'ignore');
		
		var url = '../Dna.servlet?ID='+App.getSessionId();
/*
		url += '&cmd=AutoSelectRnaForMRna&numToSelect='+Data.get('page-data', 'num-to-select');
*/
/*
		url += '&cmd=AutoSelectDna&numToSelect='+Data.get('page-data', 'num-to-select');
*/
		url += '&cmd=AutoSelectDna';
		url += '&numToSelect='+Data.get('page-data', 'num-to-select');
		url += '&startDate='+Data.get('page-data', 'start-date');
		
		Wizard.showLoadingAnimation('Finding DNA. Please wait...');
		Wizard.asyncJsonRequest(url, autoselect.dnaSelected, 'POST', JSON.stringify(options));
	}

	autoselect.dnaSelected = function(response)
	{
		var dna = response.dna;
		if (dna.length == 0)
		{
			Doc.addClass('btnOk', 'disabled');
			Wizard.setFatalError('Could not find any unprocessed DNA at this time.');
			return;
		}
		
		window.opener.SelectDna.dnaSelected(response);
		window.close();
	}

	return autoselect;
}();

Doc.onLoad(AutoSelect.initPage);

