var SelectDna = function()
{
	var selectdna = {};
	var barcodesByName = [];
	
	var EXTERNAL_DNA_NAME = 'External.d';
	var debug = 0;
	
	var graphics;
	var pen;
	
	var quantitiesAreValid = false;
	var plateNameIsValid = false;
	var subtypeDna;
	var subtypeDnaNormalized

	// Page initialization
	selectdna.initPage = function()
	{
		// Step 1
		Events.addEventHandler('step-1', 'wizard-validate', selectdna.validateStep1);

		// Step 2
		Events.addEventHandler('step-2', 'wizard-initialize', selectdna.initializeStep2);
		Events.addEventHandler('step-2', 'wizard-validate', selectdna.validateStep2);

		Events.addEventHandler('max_delta_ct', 'change', selectdna.maxDeltaCtOnChange);
		Events.addEventHandler('max_delta_ct', 'keypress', Events.numberOnly);

		// Step 3
		Events.addEventHandler('step-3', 'wizard-initialize', selectdna.initializeStep3);
		Events.addEventHandler('step-3', 'wizard-validate', selectdna.validateStep3);

		Events.addEventHandler('plateName', 'change', selectdna.plateNameOnChange);
		Events.addEventHandler('pool_schema', 'change', selectdna.poolSchemaOnChange);
		Events.addEventHandler('barcode_variant', 'change', selectdna.barcodeVariantOnChange);
		Events.addEventHandler('quantity_regular', 'change', selectdna.quantityOnChange);
		Events.addEventHandler('quantity_qc', 'change', selectdna.quantityOnChange);
		Events.addEventHandler('quantity_regular', 'keypress', Events.numberOnly);
		Events.addEventHandler('quantity_qc', 'keypress', Events.numberOnly);
		
		//Events.addEventHandler('warning_quantity', 'change', selectdna.warningLevelOnChange);
		Events.addEventHandler('warning_quality_score', 'change', selectdna.warningLevelOnChange);
		//Events.addEventHandler('warning_quantity', 'keypress', Events.numberOnly);
		Events.addEventHandler('warning_quality_score', 'keypress', Events.numberOnly);
		
		Events.addEventHandler('location', 'click', selectdna.toggleInfo);
		Events.addEventHandler('quantity', 'click', selectdna.toggleInfo);
		Events.addEventHandler('quality-score', 'click', selectdna.toggleInfo);
		Events.addEventHandler('qubitconc', 'click', selectdna.toggleInfo);
		Events.addEventHandler('volumes', 'click', selectdna.toggleInfo);
		Events.addEventHandler('qiacube-date', 'click', selectdna.toggleInfo);
		
		Events.addEventHandler('pool-row', 'click', selectdna.togglePool);
		Events.addEventHandler('pool-row', 'mouseover', selectdna.highlightPool);
		Events.addEventHandler('pool-row', 'mouseout', selectdna.highlightPool);
		
		Buttons.addClickHandler('btnLoadFromFile', selectdna.selectFile);
		Buttons.addClickHandler('btnAutoSelect', selectdna.autoSelect);
		Buttons.addClickHandler('btnManualSelect', selectdna.manualSelect);
		Events.addEventHandler('plate', 'base-selected', selectdna.manuallySelected);
		Buttons.addClickHandler('btnStratagene', selectdna.setToStratagene);
		Buttons.addClickHandler('btnExternal', selectdna.setToExternal);
		Buttons.addClickHandler('btnToggleQc', selectdna.toggleQc);
		Buttons.addClickHandler('btnComment', selectdna.commentSelected);
		Buttons.addClickHandler('btnCutSelected', selectdna.cutSelected);
		Buttons.addClickHandler('btnCopySelected', selectdna.copySelected);
		Buttons.addClickHandler('btnPasteToSelected', selectdna.pasteToSelected);
		Buttons.addClickHandler('btnSwitch', selectdna.switchSelected);
		
		Events.addEventHandler('iconSpecialSelect', 'click', selectdna.toggleSpecialSelect);
		Events.addEventHandler('plate', 'mouseup', selectdna.contextEvent);
		Events.addEventHandler('plate', 'contextmenu', selectdna.contextEvent);
		Events.addEventHandler('mnuComment', 'click', selectdna.commentSelected);
		Events.addEventHandler('mnuToggleQc', 'click', selectdna.toggleQc);
		Events.addEventHandler('mnuCutSelected', 'click', selectdna.cutSelected);
		Events.addEventHandler('mnuCopySelected', 'click', selectdna.copySelected);
		Events.addEventHandler('mnuPasteToSelected', 'click', selectdna.pasteToSelected);
		Events.addEventHandler('mnuSwitch', 'click', selectdna.switchSelected);
		Events.addEventHandler('mnuCaseSummary', 'click', selectdna.showCaseSummary);
		Events.addEventHandler('mnuFlagLowQualityScore', 'click', selectdna.flagSelected);
		Events.addEventHandler('mnuFlagNotEnoughRemainingQuantity', 'click', selectdna.flagSelected);
		Events.addEventHandler('mnuFlagOther', 'click', selectdna.flagSelected);

		Events.addEventHandler('flaggedDna', 'click', selectdna.showFlaggedDna);

		// Barcode wells
		var wells = document.getElementsByClassName('barcode-well');
		for (var wellNo = 0; wellNo < wells.length; wellNo++)
		{
			Events.addEventHandler(wells[wellNo], 'click', selectdna.selectBarcode);
		}
		Events.addEventHandler('select-barcode', 'click', selectdna.barcodeSelected);
		Events.addEventHandler('wizard', 'click', selectdna.hideBarcodeSelection);

		// Navigation
		Buttons.addClickHandler('gocancel', Wizard.cancelWizard);
		Buttons.addClickHandler('gorestart', Wizard.restartWizard);
		Buttons.addClickHandler('gonext', Wizard.goNextOnClick);
		Buttons.addClickHandler('goregister', Wizard.goRegister);
		
		// Final registration
		Events.addEventHandler('wizard', 'wizard-submit', selectdna.submit);

		var url = '../Extraction.servlet?ID='+App.getSessionId();
/*
		url += '&cmd=GetStartItemLists';
*/
		url += '&cmd=GetProcessedStartItemLists';
		url += '&orderDesc=true';		
		Wizard.showLoadingAnimation('Loading unprocessed items...');
		Wizard.asyncJsonRequest(url, selectdna.initializeStep1);
	}

	selectdna.initializeStep1 = function(response)
	{
		var frm = document.forms['meludi'];
		var itemLists = response.itemLists;
		
		var startList = frm.startList;
		if (itemLists.length > 0)
		{
			for (var i=0; i < itemLists.length; i++)
			{
				var itemList = itemLists[i];
				var name = (i+1) + ': ' + Strings.encodeTags(itemList.name);
				if (itemList.sourceItemNames)
				{
					name += ' -- (';
					name += itemList.numMeludiItems;
					name += ' + ' + itemList.numExtraItems;
					name += ')';
				}
				if (itemList.extractionDate)
				{
					name += ' -- [' + selectdna.asDate(itemList.extractionDate) + ']';
				}
				var selected = (i == 0);
				var option = new Option(name, itemList.id, selected, selected);
				option.itemList = itemList;
				startList.options[startList.length] = option;
			}
			startList.options[0].selected = true;
		}
		else
		{
			Wizard.setFatalError('No start lists available.');
			return;
		}
		Doc.show('step-1');
		Doc.show('gocancel');
		Doc.show('gonext');
		Doc.hide('goregister');
		Doc.hide('extractSourceItems');
	}

	selectdna.validateStep1 = function(event)
	{
		var frm = document.forms['meludi'];
/*
		var startList = null;
		for (var i = 0; i < frm.startList.length; i++)
		{
			if (frm.startList[i].selected)
			{
				startList = frm.startList[i];
			}
		}
		if (startList == null)
		{
			event.preventDefault();
		}
*/
	}
	
	selectdna.initializeStep2 = function(event)
	{
		var frm = document.forms['meludi'];
		var startItemList = null;
		var jsonStartItemListIds = [];
		var numSelected = 0;
		for (var i = 0; i < frm.startList.length; i++)
		{
			if (frm.startList[i].selected)
			{
				var jsonStartList = {};
				jsonStartList.id = frm.startList[i].value;
				jsonStartItemListIds[numSelected] = jsonStartList;
				numSelected++;
			}
		}
//alert("select_dna_for_start_plate.js::initializeStep2(): numSelected = " + numSelected);
		if (numSelected == 0)
		{
			event.preventDefault();
		}

		frm.startList.disabled = true;

		Wizard.setCurrentStep(2);
		Doc.show('step-2');
		Doc.show('gocancel');
		Doc.show('gonext');
		
		var url = '../Extraction.servlet?ID='+App.getSessionId();
		url += '&cmd=GetListOfItemsFromStartItemLists';
		url += '&startListIds='+JSON.stringify(jsonStartItemListIds);
		url += '&itemType=DNA';
		Wizard.asyncJsonRequest(url, selectdna.dnaItemListLoaded);
	}

	selectdna.dnaItemListLoaded = function(response)
	{
		var frm = document.forms['meludi'];

		var maxDeltaCt = frm.max_delta_ct.value;
		var items = response.items;
//alert("selectdna.dnaItemListLoaded(): maxDeltaCt = " + maxDeltaCt + " items.length = " + items.length);

		var sourceItemList = frm.extractDnaItems;

		// Reset option list
		while (sourceItemList.length > 0)
		{
			sourceItemList.options[sourceItemList.length - 1] = null;			
		}

		if (items.length > 0)
		{
			var numItems = items.length;
			for (var i=0; i < items.length; i++)
			{
				var item = items[i];
				// Only items with delta-Ct values included in list
				if (item.deltaCt != null)
				{
					var name = (i+1) + ': ' + Strings.encodeTags(item.name);
					if (item.bioWell)
					{
						name += ' -- ' + Strings.encodeTags(item.bioWell.bioPlate.name + ' (' + item.bioWell.location+')');
					}
					var selected = true;
					if (item.deltaCt > maxDeltaCt)
					{
						selected = false;
					}
					var option = new Option(name, item.id, selected, selected);
					option.item = item;
					sourceItemList.options[sourceItemList.length] = option;
				}
			}
		}
/*
		else
		{
			Wizard.setFatalError('No items available for processing.');
			return;
		}
*/
	}
	
	selectdna.maxDeltaCtOnChange = function(event)
	{
		var frm = document.forms['meludi'];
		var startItemList = null;
		var jsonStartItemListIds = [];
		var numSelected = 0;
		for (var i = 0; i < frm.startList.length; i++)
		{
			if (frm.startList[i].selected)
			{
				var jsonStartList = {};
				jsonStartList.id = frm.startList[i].value;
				jsonStartItemListIds[numSelected] = jsonStartList;
				numSelected++;
			}
		}

		var url = '../Extraction.servlet?ID='+App.getSessionId();
		url += '&cmd=GetListOfItemsFromStartItemLists';
		url += '&startListIds='+JSON.stringify(jsonStartItemListIds);
		url += '&itemType=DNA';
		Wizard.asyncJsonRequest(url, selectdna.dnaItemListLoaded);
	}
	
	selectdna.validateStep2 = function(event)
	{
		var frm = document.forms['meludi'];
		var jsonItems = [];
		var numSelected = 0;
		for (var i = 0; i < frm.extractDnaItems.length; i++)
		{
			if (frm.extractDnaItems[i].selected)
			{
/*
				var jsonItem = {};
				jsonItem.id = frm.extractDnaItems[i].value;
				jsonItem = frm.extractDnaItems[i].item;
*/
				var item = frm.extractDnaItems[i].item;
				jsonItems[numSelected] = item;
				names[numSelected] = item.name;
//alert("select_dna_for_start_plate.js::validateStep2(): numSelected = " + numSelected + " jsonItem = " + JSON.stringify(jsonItems[numSelected]));
				numSelected++;
			}
		}
//alert("select_dna_for_start_plate.js::validateStep2(): numSelected = " + numSelected);
	}
	
	selectdna.initializeStep3 = function(event)
	{		
		var isNeoPrep = Data.int('page-data', 'is-neoprep');
/*
		TOTAL_VOLUME = isNeoPrep ? 45 : 50; // µl
*/
		TOTAL_VOLUME = isNeoPrep ? 45 : 10; // µl
		MINIMAL_DNA_VOLUME = 1.0; // µl

		Doc.show('step-3');
		
		var url = '../Dna.servlet?ID='+App.getSessionId();
		url += '&cmd=GetStratagene';
		Wizard.asyncJsonRequest(url, selectdna.stratageneLoaded);

		var url = '../Dna.servlet?ID='+App.getSessionId();
		url += '&cmd=GetNextAutoGeneratedPlateName';
		url += '&bioPlateType=' + (isNeoPrep ? 'NEOPREP' : 'DNA');
		url += '&bioPlatePrefix=' + 'LP';
		Wizard.showLoadingAnimation('Loading next '+(isNeoPrep ? 'NeoPrep' : 'DNA') + ' plate');
		Wizard.asyncJsonRequest(url, selectdna.nextPlateNameLoaded);
		
		var url = '../LibPrep.servlet?ID='+App.getSessionId();
		url += '&cmd=GetAllBarcodeInfo';
		Wizard.asyncJsonRequest(url, selectdna.barcodesLoaded);
	}

	selectdna.barcodesLoaded = function(response)
	{
		var frm = document.forms['meludi'];
		var isNeoPrep = Data.int('page-data', 'is-neoprep');

		var barcodes = response.barcodes;
		var selectBarcodeHtml = '';
		for (var i = 0; i < barcodes.length; i++)
		{
			if (i % 8 == 0 && i > 0)
			{
				selectBarcodeHtml += '<div class="menuseparator"></div>';
			}
			var barcode = barcodes[i];
			barcodesByName[barcode.name] = barcode;
			selectBarcodeHtml += '<div class="menuitem interactable enabled" id="bc-'+barcode.id+'" data-barcode-name="'+Strings.encodeTags(barcode.name)+'">';
			selectBarcodeHtml += Strings.encodeTags(barcode.name)+'</div>';
		}
		Doc.element('select-barcode-all').innerHTML = selectBarcodeHtml;
		
		selectdna.quantityOnChange();
		selectdna.warningLevelOnChange();		
		
		// Init plate, pool schema and barcode variants
		graphics = new jsGraphics(Doc.element('canvas'));
		pen = new jsPen(new jsColor('#2288AA'), 2);
		var columns = isNeoPrep ? 2 : 12;
		var rows = 8;
		var schema = PoolSchema.initList(frm.pool_schema, null, isNeoPrep ? 'neoprep' : 'manual');
		Plate.init(rows, columns, schema, WellPainter);
		Events.sendChangeEvent(frm.pool_schema);
		// Set default for showing info for plate well
		selectdna.setDefaultInfo('location');
/*
		selectdna.setDefaultInfo('quantity');
*/
		selectdna.setDefaultInfo('volumes');
		selectdna.setDefaultInfo('quality-score');
		selectdna.setDefaultInfo('qubitconc');
/*
		selectdna.setDefaultInfo('qiacube-date');
*/

		// Pre-fill plate wells with selected DNA
		if (names.length > 0)
		{
			Dna.loadInfoByNames(names);

			var wellsArray = [];			
			for (var i = 0; i < names.length; i++)
			{
				var row = i % 8;
				var column = Math.floor(i/8)
				var well = Plate.getWell(row, column);
				wellsArray[i] = well;
				var name = names[i];
				// Create a new DNA object
				var dna = Dna.createByName(name);
				dna.name = name + '.fpa';
				Dna.unflag(dna);
				well.setExtract(dna);
				well.selected = false;
				// Place FPB sample in corresponding well on right side of plate
				well = Plate.getWell(row, column + 6);
				wellsArray[i+names.length] = well;
				// Create a new DNA object
				dna = Dna.createByName(name);
				dna.name = name + '.fpb';
				Dna.unflag(dna);
				well.setExtract(dna);
				well.selected = false;
			}			
			Plate.checkReplicates();
			Plate.paint(wellsArray);
			selectdna.updateNumFlaggedDna();
			names = [];
		}
		//
		Doc.show('step-3');
		Doc.show('gocancel');
		Doc.show('goregister');
		Wizard.setNoConfirmOnFirstStep(false);
		Wizard.keepSessionAlive();
	}
	
	selectdna.stratageneLoaded = function(response)
	{
		var frm = document.forms['meludi'];
		var stratagene = response.stratagene;

		for (var i = 0; i < stratagene.length; i++)
		{
			var s = stratagene[i];
			var name = s.name;
			if (s.bioWell)
			{
				name += ' -- ' + s.bioWell.bioPlate.name + ' ('+s.bioWell.location + ')';
			}
			frm.stratagene[frm.stratagene.length] = new Option(name, s.name);
		}
	}

	selectdna.nextPlateNameLoaded = function(response)
	{
		var frm = document.forms['meludi'];
		Plate.name = response.name;
/*
		Doc.element('plateName').innerHTML = Strings.encodeTags(Plate.name);
*/
		frm.plateName.value = Strings.encodeTags(Plate.name);
		plateNameIsValid = true;
		Wizard.setInputStatus('plateName', 'valid');
	}
	
	selectdna.plateNameOnChange = function(event)
	{
		var frm = document.forms['meludi'];
		plateNameIsValid = false;
		
		var name = frm.plateName.value;
		if (!name || name == '')
		{
			Wizard.setInputStatus('plateName', 'invalid', 'Missing name');
			return;
		}
		if (name.indexOf("LP") != 0)
		{
			Wizard.setInputStatus('plateName', 'invalid', 'Plate name must start with prefix "LP"');
			return;
		}
		if (name.length != 7)
		{
			Wizard.setInputStatus('plateName', 'invalid', 'Plate name must consist of "LP" + 5 digits');
			return;
		}
		
		// Check if name exists
		var url = '../Extraction.servlet?ID='+App.getSessionId();
		url += '&cmd=CheckIfStartPlateNameUsed';
		url += '&startPlateName=' + encodeURIComponent(name);
		
		Wizard.showLoadingAnimation('Loading information about plate...');
		Wizard.asyncJsonRequest(url, selectdna.plateInfoLoaded);
	}

	selectdna.plateInfoLoaded = function(response)
	{
		var frm = document.forms['meludi'];	
		var plateInfo = response.startplate;
		if (plateInfo)
		{
			var plateName = plateInfo.name;
			var plateId = plateInfo.id;

			if (plateId)
			{
				plateNameIsValid = false;
				Wizard.setInputStatus('plateName', 'invalid', 'Plate already exists with name "' + plateName + '" (ID = ' + plateId + ')');
				return;
			}
		}
		plateNameIsValid = true;
		Plate.name = name;
		
		Wizard.setInputStatus('plateName', 'valid');
	}

	selectdna.quantityOnChange = function(event)
	{
		var frm = document.forms['meludi'];
		quantitiesAreValid = false;
		
		var qRegular = parseFloat(frm.quantity_regular.value);
		if (!(qRegular > 0))
		{
			Wizard.setInputStatus('quantities', 'invalid', 'Amount must be ≥ 0.');
			return;
		}
		var qQc = parseFloat(frm.quantity_qc.value);
		if (!(qQc > qRegular))
		{
			Wizard.setInputStatus('quantities', 'invalid', 'Amount QC must be &gt; ' + qRegular + '.');
			return;
		}
		
		quantitiesAreValid = true;
		QUANTITY_REGULAR = qRegular;
		QUANTITY_QC = qQc;
		
		Wizard.setInputStatus('quantities', 'valid');
		if (event) Plate.paint(Plate.getWells());
	}

	selectdna.warningLevelOnChange = function(event)
	{
		var frm = document.forms['meludi'];

/*
		var wQuantity = parseFloat(frm.warning_quantity.value);
		if (!(wQuantity > 0))
		{
			Wizard.setInputStatus('warnings', 'invalid', 'Remaining quantity must be ≥ 0.');
			return;
		}
*/
		var wQualityScore = parseFloat(frm.warning_quality_score.value);

/*		
		LOW_QUANTITY_WARNING_LIMIT = wQuantity;
*/
		QUALITY_SCORE_WARNING_LIMIT = wQualityScore;
		
		Wizard.setInputStatus('warnings', 'valid');
		if (event) Plate.paint(Plate.getWells());
	}
	
	selectdna.poolSchemaOnChange = function()
	{
		var frm = document.forms['meludi'];
		var schema = PoolSchema.getById(frm.pool_schema.value);
		Plate.setPoolSchema(schema);
		
		var isNeoPrep = Data.int('page-data', 'is-neoprep');
		if (isNeoPrep)
		{
			PoolSchema.buildPoolTableRow(schema, Plate.columns, true, '<td class="barcode-fill barcode-left"></td>', '<th></th><td class="barcode-fill barcode-right"></td>');
			PoolSchema.initVariantList(frm.barcode_variant, schema);
			Events.sendChangeEvent(frm.barcode_variant);
		}
		else
		{
			PoolSchema.buildPoolTableRow(schema, Plate.columns, true);
			Plate.paint(Plate.getWells());
		}
	}
	
	selectdna.barcodeVariantOnChange = function()
	{
		var frm = document.forms['meludi'];
		var schema = PoolSchema.getById(frm.pool_schema.value);
		var barcodeVariant = PoolSchema.getBarcodeVariantByName(schema, frm.barcode_variant.value);
		
		selectdna.assignSchemaDefinedBarcodeVariant(schema, barcodeVariant);
		WellPainter.barcodeVariant = barcodeVariant;
		Plate.paint(Plate.getWells());
	}

	selectdna.assignSchemaDefinedBarcodeVariant = function(schema, barcodeVariant)
	{
		var wells = Plate.getWells();
		for (var i = 0; i < wells.length; i++)
		{
			var well = wells[i];

			var indexSet = barcodeVariant ? barcodeVariant.indexSets[well.column] : null;
			var barcode = null;
			if (indexSet)
			{
				var barcodeName = indexSet.barcodes[well.row];
				barcode = barcodesByName[barcodeName];
			}
			well.barcode = barcode;
			well.defaultBarcode = barcode;
			well.duplicate = false;
		}
	}

	var currentWell;
	var lastSelectedBarcode;
	selectdna.selectBarcode = function(event)
	{
		var row = Data.int(event.currentTarget, 'row');
		var column = Data.int(event.currentTarget, 'col');

		// Locate the barcode selection div so that the current
		// barcode is positioned next to the current mouse position
		// Initially set it to the right of the mouse so that the
		// center is vertically aligned
		currentWell = Plate.getWell(row, column);
		var scroll = 0;

		// Reset 'current' selection
		var menu = Doc.element('select-barcode');
		var selectAll = Doc.element('select-barcode-all');
		for (var i = 0; i <  selectAll.childNodes.length; i++)
		{
			Doc.removeClass(selectAll.childNodes[i], 'current');
		}
		menu.style.display = 'block';

		var x = event.clientX+1;
		var halfHeight = Math.floor(selectAll.offsetHeight/2)
		var y = event.clientY-halfHeight;
		var scroll = 0;
		var barcodeDiv;
		
		var useBarcode = currentWell.barcode || lastSelectedBarcode;
		if (useBarcode)
		{
			var barcodeDiv = Doc.element('bc-'+useBarcode.id);
			if (!currentWell.barcode && barcodeDiv.nextSibling) barcodeDiv = barcodeDiv.nextSibling;
			// Try to scroll the current barcode so that it's baseline is at the center of the div
			scroll = barcodeDiv.offsetTop + barcodeDiv.offsetHeight - halfHeight;
			if (scroll < 0) 
			{
				// We get a negative scroll for the first few elements, shift the
				// entire selection div down instead
				y -= scroll;
				scroll = 0;
			}
			else if (scroll > selectAll.scrollHeight - selectAll.offsetHeight)
			{
				// We get a too large scroll value for the last few elements, shift
				// the entire selection div up instead
				y -= scroll - (selectAll.scrollHeight - selectAll.offsetHeight);
				scroll = selectAll.scrollHeight - selectAll.offsetHeight;
			}
			if (currentWell.barcode)
			{
				Doc.addClass(barcodeDiv, 'current');
			}
		}
		
		// Default barcode
		if (currentWell.defaultBarcode && currentWell.defaultBarcode != currentWell.barcode)
		{
			var selectDefault = Doc.element('select-barcode-default');
			Data.set(selectDefault, 'barcode-name', currentWell.defaultBarcode.name);
			selectDefault.innerHTML = 'Default: ' + Strings.encodeTags(currentWell.defaultBarcode.name);
			Doc.show('select-barcode-default');
			Doc.show('select-barcode-default-separator');
		}
		else
		{
			Doc.hide('select-barcode-default');
			Doc.hide('select-barcode-default-separator');
		}
		
		// Position the selection div
		selectAll.scrollTop = scroll;
		menu.style.left = (x)+'px';
		menu.style.top = (y)+'px';
		event.stopPropagation();
	}

	selectdna.barcodeSelected = function(event)
	{
		var frm = document.forms['meludi'];
		var schema = PoolSchema.getById(frm.pool_schema.value);
		var target = event.target;
		if (currentWell)
		{
			lastSelectedBarcode = barcodesByName[Data.get(target, 'barcode-name')];
			currentWell.barcode = lastSelectedBarcode;
			var poolNum = schema.getPoolNumForColumn(currentWell.column);
			selectdna.checkDuplicateBarcode(poolNum);
			Plate.paint(Plate.getWells());
		}
		selectdna.hideBarcodeSelection();
	}

	selectdna.checkDuplicateBarcode = function(poolNum)
	{
		var frm = document.forms['meludi'];
		var schema = PoolSchema.getById(frm.pool_schema.value);

		var wells = schema.getWellsInPool(Plate, poolNum);
		var wellByBarcodeName = [];
		for (var i = 0; i < wells.length; i++)
		{
			var well = wells[i];
			if (well.barcode)
			{
				if (wellByBarcodeName[well.barcode.name])
				{
					well.duplicate = true;
					wellByBarcodeName[well.barcode.name].duplicate = true;
				}
				else
				{
					wellByBarcodeName[well.barcode.name] = well;
					well.duplicate = false;
				}
			}
		}
	}

	
	selectdna.hideBarcodeSelection = function()
	{
		Doc.hide('select-barcode');
	}

	
	/**
		Sets default display of info data for plate wells,
		based on check box values. Assumes the id of the
		check box in question as input.
	*/
	selectdna.setDefaultInfo = function(chkbox)
	{
		var frm = document.forms['meludi'];
		var show = frm[chkbox].checked;
		Doc.addOrRemoveClass('plate', 'hide-'+chkbox, !show);
	}

	selectdna.toggleInfo = function(event)
	{
		var frm = document.forms['meludi'];
		var show = event.currentTarget.checked;
		Doc.addOrRemoveClass('plate', 'hide-'+event.currentTarget.id, !show);
	}

	/**
		Open a popup dialog for selecting a data files.
	*/
	selectdna.selectFile = function()
	{
		Dialogs.openPopup('select_file.jsp?ID='+App.getSessionId(), 'SelectFile', 600, 400);	
	}

	/**
		Parse a tab-separated data file. The columns must be in the following order:
		0: DNA name
		1: Row letter (A-H)
		2: Column number (1-12)
		3: QC flag (can be empty)
	*/
	selectdna.parseDnaFile = function(data)
	{
		var lines = data.split(/[\n\r]+/);
	
		// Load information about all DNA items in a batch (will improve performance)
		var names = [];
		for (var i = 0; i < lines.length; i++)
		{
			var line = lines[i];
			if (line)
			{
				var cols = lines[i].split(/\t/);
				if (cols.length < 3) throw 'On line '+(i+1)+': Too few columns (' + cols.length + ')';
				names[names.length] = cols[0];
			}
		}
		Dna.loadInfoByNames(names);
		
		// Place DNA on the plate
		var duplicates = [];
		for (var i = 0; i < lines.length; i++)
		{
			var line = lines[i];
			if (line)
			{
				var cols = lines[i].split(/\t/);
	
				var dna = Dna.createByName(cols[0]);
				var row =  Meludi.alphaToWell(cols[1].toUpperCase());
				var col =  parseInt(cols[2], 10)-1;
				
				var well = Plate.getWell(row, col);
				if (!well) throw 'On line '+(i+1)+': Invalid plate coordinate ['+cols[1]+','+cols[2]+']';
	
				dna.qc = cols.length >= 4 && cols[3];
				Dna.unflag(dna);
				
				// Check for duplicate DNA on same position (which is an error)
				var pos = 'c'+col+'r'+row;
				if (duplicates[pos])
				{
					well.addDuplicate(dna);
				}
				else
				{
					duplicates[pos] = dna.name;
					well.setExtract(dna);
				}
			}
		}
		
		selectdna.updateNumFlaggedDna();
		
		// Check for replicates on the whole plate and repaint it
		Plate.checkReplicates(null, true);
		Plate.paint(Plate.getWells());
	}
	
	var currentSelected;
	var names = [];

	/**
		Open a popup dialog for manual selection of DNA.
	*/
	selectdna.manualSelect = function(event)
	{
		currentSelected = Plate.getSelected();
		if (currentSelected.length == 0)
		{
			Forms.showNotification(event.currentTarget, 'Please select one or more wells were DNA should be placed.');
			return;
		}
		
		if (subtypeDna == null) subtypeDna = Meludi.getSubtypeInfo('DNA');
/*
		if (subtypeDnaNormalized == null) subtypeDnaNormalized = Meludi.getSubtypeInfo('DNA_NORMALIZED_ALIQUOT');
*/
	
		var url = '&resetTemporary=1';
/*
		url += '&tmpfilter:INT:itemSubtype='+subtypeDna.id+'|'+subtypeDnaNormalized.id;
*/
		url += '&tmpfilter:INT:itemSubtype='+subtypeDna.id;
		url += '&tmpfilter:DATE:creationEvent.eventDate='+encodeURIComponent('<>');
		url += '&tmpfilter:FLOAT:remainingQuantity='+encodeURIComponent('>=1');
		url += '&'+encodeURIComponent('tmpfilter:STRING:&childCreationEvents(event.bioMaterial.name)')+'='+encodeURIComponent('<>%.m');

		Dialogs.selectItem('EXTRACT', 'plate', 1, url);
	}

	/**
		Callback method for manual selection.
	*/
	selectdna.manuallySelected = function(event)
	{
		names[names.length] = event.detail.name;
		
		if (event.detail.remaining == 0 && names.length > 0)
		{
			Dna.loadInfoByNames(names);

			var wellsArray = [];			
			for (var i = 0; i < names.length && i < currentSelected.length; i++)
			{
				var well = currentSelected[i];
				wellsArray[i] = well;
				var name = names[i];
//alert("select_dna_for_start_plate.js::manuallySelected(): name = \"" + name + "\" well = " + JSON.stringify(well));				
				// Create a new DNA object
				var dna = Dna.createByName(name);
				dna.name = name + '.fpa';
				Dna.unflag(dna);
				well.setExtract(dna);
				well.selected = false;
				// Place FPB sample in corresponding well on right side of plate
				well = Plate.getWell(row, column + 6);
				wellsArray[i+names.length] = well;
				// Create a new DNA object
				dna = Dna.createByName(name);
				dna.name = name + '.fpb';
				Dna.unflag(dna);
				well.setExtract(dna);
				well.selected = false;
			}
			for (var i = 0; i < names.length; i++)
			{
				var row = i % 8;
				var column = Math.floor(i/8)
				var well = Plate.getWell(row, column);
				wellsArray[i] = well;
				var name = names[i];
				// Create a new DNA object
				var dna = Dna.createByName(name);
				dna.name = name + '.fpa';
				Dna.unflag(dna);
				well.setExtract(dna);
				well.selected = false;
				// Place FPB sample in corresponding well on right side of plate
				well = Plate.getWell(row, column + 6);
				wellsArray[i+names.length] = well;
				// Create a new DNA object
				dna = Dna.createByName(name);
				dna.name = name + '.fpb';
				Dna.unflag(dna);
				well.setExtract(dna);
				well.selected = false;
			}			
			Plate.checkReplicates();
/*
			Plate.paint(currentSelected);
*/
			Plate.paint(wellsArray);
			selectdna.updateNumFlaggedDna();
			names = [];
		}
	}

	
	/**
		Let the wizard automatically select among unprocessed DNA items.
	*/	
	selectdna.autoSelect = function(event)
	{
		var frm = document.forms['meludi'];
		var wells = Plate.getWells();
		var selected = [];
		var ignore = [];
		var notEmpty = 0;
		
		// Count selected and non-empty wells and keep track of DNA that is already present
		for (var i = 0; i < wells.length; i++)
		{
			var well = wells[i];
			if (well.selected) 
			{
				selected[selected.length] = well;
				if (well.extract && !well.hasError()) notEmpty++;
			}
			if (well.extract && well.extract.id)
			{
				ignore[ignore.length] = well.extract.id;
			}
		}
		// Ignore DNA already flagged
		var flagged = Dna.getFlagged();
		for (var i = 0; i < flagged.length; i++)
		{
			var dna = flagged[i];
			if (dna.id) ignore[ignore.length] = dna.id;
		}
		
		if (selected.length == 0)
		{
			Forms.showNotification(event.currentTarget, 'Please select one or more wells were DNA should be placed.');
			return;
		}
			
		if (notEmpty > 0)
		{
			if (!confirm('Replace DNA in ' + notEmpty + ' wells?'))
			{
				return;
			}
		}
			
		var url = 'auto_select_dna.jsp?ID='+App.getSessionId();
		url += '&numToSelect='+selected.length;
		url += '&quantity='+encodeURIComponent(frm.quantity_regular.value);
		url += '&ignore='+ignore.join(',');
		Dialogs.openPopup(url, 'AutoSelectDNA', 750, 500);
	}

	/**
		Callback function for auto-select.
	*/	
	selectdna.dnaSelected = function(response)
	{
		// Cache DNA information
		Dna.cacheInfo(response.dna);
		Dna.cacheInfo(response.flagged);
		
		selectdna.updateNumFlaggedDna();
		var selected = Plate.getSelected();

/*
		// Get selected DNA names
		for (var i = 0; i < response.dna.length; i++)
		{
			if (i < selected.length)
			{
				names[i] = response.dna[i].name;
			}
		}
		if (names.length > 0)
		{
			Dna.loadInfoByNames(names);

			for (var i = 0; i < names.length && i < selected.length; i++)
			{
				var well = selected[i];
				var name = names[i];
				
				// Create a new DNA object
				var dna = Dna.createByName(name);
				Dna.unflag(dna);
				well.setExtract(dna);
				well.selected = false;
			}
			
			Plate.checkReplicates();
			Plate.paint(selected);
			selectdna.updateNumFlaggedDna();
			names = [];
		}
*/

		var wellsArray = [];			
		for (var i = 0; i < response.dna.length; i++)
		{
			if (i < selected.length)
			{
				var well = selected[i];
				wellsArray[i] = well;
				// Create a new DNA object
				var name = response.dna[i].name;
				var dna = Dna.createByName(name);
				dna.name = name + '.fpa';
				//Dna.unflag(dna);
				well.setExtract(dna);
				well.selected = false;
				// Place FPB sample in corresponding well on right side of plate
				var row = well.row;
				var column = well.column;
				well = Plate.getWell(row, column + 6);
				wellsArray[i+selected.length] = well;
				// Create a new DNA object
				dna = Dna.createByName(name);
				dna.name = name + '.fpb';
				//Dna.unflag(dna);
				well.setExtract(dna);
				well.selected = false;
			}
		}
		// Check for replicates on the whole plate and repaint it
		Plate.checkReplicates(null, true);
		Plate.paint(Plate.getWells());
	}
	
	// Update the 'Flagged DNA' information
	selectdna.updateNumFlaggedDna = function()
	{
		var numFlagged = Dna.getFlagged().length;
		if (numFlagged > 0)
		{
			Doc.element('flaggedDna').innerHTML = numFlagged + ' flagged DNA items.';
			Doc.show('flaggedDna');
		}
		else
		{
			Doc.hide('flaggedDna');
		}
	}

	/**
		Add 'Stratagene' to the selected wells.
	*/
	selectdna.setToStratagene = function(event)
	{
		var frm = document.forms['meludi'];
		selectdna.setToSpecial(event, frm.stratagene.value, true);
	}


	/**
		Add 'External DNA' to the selected wells.
	*/
	selectdna.setToExternal = function(event)
	{
		selectdna.setToSpecial(event, EXTERNAL_DNA_NAME, false);	
	}
	
	/**
		Add special DNA to the selected wells.
	*/
	selectdna.setToSpecial = function(event, specialName, qc)
	{
		var wells = Plate.getSelected();
		
		if (wells.length == 0)
		{
			Forms.showNotification(event.currentTarget, 'No wells have been selected');
			return;
		}
		
		// Count non-empty wells
		var count = 0;
		for (var i = 0; i < wells.length; i++)
		{
			var well = wells[i];
			if (well.extract && !well.hasError()) count++;
		}
		
		if (count > 0)
		{
			if (!confirm('Replace DNA in ' + count + ' wells with '+specialName+'?'))
			{
				return;
			}
		}
		
		var info = Dna.infoByName(specialName);
		if (!info.id)
		{
			alert('Could not find any DNA with name=\''+specialName+'\'. Please check that it exists on the server.');
			return;
		}
		
		for (var i = 0; i < wells.length; i++)
		{
			var well = wells[i];
			var dna = Dna.createByInfo(info);
			dna.qc = qc;
			well.setExtract(dna);
			well.selected = false;
		}
		
		Plate.paint(wells);
		
		// Check for replicated DNA if some have been replaced with Stratagene
		if (count > 0) Plate.checkReplicates();
	}
	
	/**
		Toggle the QC flag for the selected wells. The first non-empty
		well is toggled and the rest of the wells will use the same new QC
		value.
	*/
	selectdna.toggleQc = function(event)
	{
		var wells = Plate.getSelected();
	
		if (wells.length == 0) 
		{
			Forms.showNotification(event.currentTarget, 'No wells have been selected');
			return;
		}
		
		var gotQc = false;
		var newQc;
		var count = 0;
		for (var i = 0; i < wells.length; i++)
		{
			var well = wells[i];
			if (well.extract)
			{
				// Toggle QC flag for the first well with DNA, then use the same flag for the rest
				if (!gotQc)
				{
					gotQc = true;
					newQc = !well.extract.qc;
				}
				well.extract.qc = newQc;
				count++;
			}
		}
		
		if (count == 0)
		{
			Forms.showNotification(event.currentTarget, 'None of the selected wells contain any DNA');
		}
		else
		{
			Plate.paint(wells);
		}
	}

	// Set a comment on the selected wells
	selectdna.commentSelected = function(event)
	{
		var wells = Plate.getSelected();
		
		if (wells.length == 0)
		{
			Forms.showNotification(event.currentTarget, 'No wells have been selected');
			return;
		}
		
		var count = 0;
		var comment = '';
		for (var i = 0; i < wells.length; i++)
		{
			var well = wells[i];
			if (well.extract) 
			{
				count++;
				if (well.extract.comment) comment = well.extract.comment;
			}
		}
			
		if (count == 0)
		{
			Forms.showNotification(event.currentTarget, 'None of the selected wells contain any DNA');
			return;
		}

		comment = prompt('Comment', comment || '');
		if (comment == null) return;
		
		if (comment == '') comment = null;
		for (var i = 0; i < wells.length; i++)
		{
			var well = wells[i];
			if (well.extract) well.extract.comment = comment;
		}
		Plate.paint(wells);
	}

	/**
		Empty the selected wells from DNA. They can later be pasted again.
	*/
	selectdna.cutSelected = function(event)
	{
		var wells = Plate.getSelected();
		
		if (wells.length == 0)
		{
			Forms.showNotification(event.currentTarget, 'No wells have been selected');
			return;
		}
		
		var count = 0;
		var valid = 0;
		for (var i = 0; i < wells.length; i++)
		{
			var well = wells[i];
			if (well.extract) 
			{
				count++;
				if (!well.hasError()) valid++;
			}
		}
		
		if (count == 0)
		{
			Forms.showNotification(event.currentTarget, 'None of the selected wells contain any DNA');
			return;
		}
		
		// Ask for confirmation before deleting from valid wells
		if (valid > 0)
		{
			if (!confirm('Clear DNA from ' + count + ' of ' + wells.length + ' selected wells?'))
			{
				return;
			}
		}
	
		selectdna.copySelected();
/*
		for (var i = 0; i < wells.length; i++)
		{
			var well = wells[i];
			well.setExtract(null);
			well.selected = false;
		}
		Plate.paint(wells);
*/
		var wellsArray = [];			
		for (var i = 0; i < wells.length; i++)
		{
			var well = wells[i];
			well.setExtract(null);
			well.selected = false;
			wellsArray[i] = well;
			// Clear FPB sample in corresponding well on right side of plate
			var row = well.row;
			var column = well.column;
			well = Plate.getWell(row, column + 6);
			well.setExtract(null);
			well.selected = false;
			wellsArray[i+wells.length] = well;
		}
		Plate.paint(wellsArray);
		Plate.checkReplicates();
	}
	
	var copy;
	/**
		Copy information about the selected wells. 
	*/
	selectdna.copySelected = function(event)
	{
		// Clear existing wells in the copy
		var repaint = [];
		if (copy && copy.length > 0)
		{
			for (var i = 0; i < copy.length; i++)
			{
				var cp = copy[i];
				cp.well.doneWithCopy();
				repaint[repaint.length] = cp.well;
			}
		}
		Plate.paint(repaint);
		
		// Place selected wells in the copy
		var wells = Plate.getSelected();
		copy = [];
		for (var i = 0; i < wells.length; i++)
		{
			var well = wells[i];
			copy[copy.length] = well.makeCopy();
			well.selected = false;
		}
		Plate.paint(wells);
	}
	
	/**
		Paste information into the selected wells.
	*/
	selectdna.pasteToSelected = function(event)
	{
		if (!copy || copy.length == 0) 
		{
			Forms.showNotification(event.currentTarget, 'Nothing to paste. Please cut or copy wells first.');
			return;
		}
		
		var wells = Plate.getSelected();
		// Count non-empty and valid wells
		var count = 0;
		for (var i = 0; i < wells.length; i++)
		{
			var well = wells[i];
			if (well.extract && !well.hasError()) count++;
		}
		
		if (count > 0)
		{
			if (!confirm('Replace DNA in ' + count + ' wells with copy?'))
			{
				return;
			}
		}
		
		var wi = 0;
		var ci = 0;
		var copyEmpty;
		var askIfEmpty = true;
		var repaint = [];
		
		while (wi < wells.length && ci < copy.length)
		{
			var well = wells[wi];
			var cp = copy[ci];
			var dna = null;
			var name = null;
			cp.well.doneWithCopy();
			repaint[repaint.length] = cp.well;
			if (cp.name)
			{
				name = cp.name;
				var suffixIndex = name.indexOf('.fpa');
				if (suffixIndex >= 0)
				{
					name = name.substring(0, suffixIndex);
				}
/*
				dna = Dna.createByName(cp.name);
*/
				dna = Dna.createByName(name);
				dna.comment = cp.comment;
			}
			else
			{
				// The copy is from an empty well
				if (askIfEmpty)
				{
					askIfEmpty = false;
					copyEmpty = confirm('Do you want to copy empty wells? If not, only non-empty well are copied.');
				}
			}
			if (dna != null || copyEmpty)
			{
				// FPA
				if (dna != null)
				{
					dna.name += '.fpa'; 
				}
				well.setExtract(dna);
				well.selected = false;
				repaint[repaint.length] = well;
				wi++;
				// FPB sample in corresponding well on right side of plate
				var row = well.row;
				var column = well.column;
				well = Plate.getWell(row, column + 6);
				dna = null;
				if (name)
				{
					dna = Dna.createByName(name);
					dna.comment = cp.comment;
				}
				if (dna != null)
				{
					dna.name += '.fpb'; 
				}
				well.setExtract(dna);
				well.selected = false;
				repaint[repaint.length] = well;
			}
			ci++;
		}
		Plate.paint(repaint);
		copy.splice(0, ci);
		Plate.checkReplicates();
	}

	/*
		If exactly two wells have been selected, switch the DNA in them.
	*/
	selectdna.switchSelected = function(event)
	{
		var wells = Plate.getSelected();
	
		if (wells.length != 2)
		{
			Forms.showNotification(event.currentTarget, 'Exactly 2 wells must be selected.');
			return;
		}

/*	
		var dna0 = wells[0].extract;
		var dna1 = wells[1].extract;
		
		wells[0].setExtract(dna1);
		wells[1].setExtract(dna0);
		Plate.paint(wells);
*/
		var wellsArray = [];
		// FPA
		wellsArray[0] = wells[0];
		wellsArray[1] = wells[1];

		var dna0 = wells[0].extract;
		var dna1 = wells[1].extract;
		
		wells[0].setExtract(dna1);
		wells[1].setExtract(dna0);
		// FPB samples in corresponding wells on right side of plate
		var wellsFpb = [];
		for (var i=0; i<2; i++)
		{	
			var row = wells[i].row;
			var column = wells[i].column;
			wellsFpb[i] = Plate.getWell(row, column + 6);
		}
		wellsArray[2] = wellsFpb[0];
		wellsArray[3] = wellsFpb[1];

		dna0 = wellsFpb[0].extract;
		dna1 = wellsFpb[1].extract;
		
		wellsFpb[0].setExtract(dna1);
		wellsFpb[1].setExtract(dna0);
		//
		Plate.paint(wellsArray);
	}

	// Toggle the 'special select' menu on and off
	selectdna.toggleSpecialSelect = function(event)
	{
		var pos = Doc.getElementPosition('iconSpecialSelect');
		Menu.toggleTopMenu('menuSpecialSelect', pos.left+pos.width/4, pos.top+pos.height); 
		event.stopPropagation();
	}
	
	var contextDNA = null;
	var contextX;
	var contextY;
	/**
		Reacts to 'mouseup' and 'contextmenu' events for the bioplate. 
		This should bring up the cut/copy/paste context menu depending on which
		mouse button that was clicked.
	*/
	selectdna.contextEvent = function(event)
	{
		var frm = document.forms['meludi'];
		// Context menu on 'right' mouse button
		// Can't just check the button since two events are sent ('mouseup' and 'contextmenu')
		var showContext = event.type == 'contextmenu' && event.button == 2;
			
		if (showContext)
		{
			event.preventDefault(); // Prevents the default right-click menu from appearing
			
			// Get the well that is right-clicked and the DNA that is in it
			contextDNA = null;
			var well = event.target;
			while (well && (!well.id || well.id.indexOf('well') != 0))
			{
				well = well.parentNode;
			}
			if (well)
			{
				var c = well.id.split(/\./);
				contextDNA = Plate.getWell(parseInt(c[1]), parseInt(c[2])).extract;
			}
			// Update the context meny
			var caseSummaryMenu = Doc.element('mnuCaseSummary');
			if (contextDNA)
			{
				caseSummaryMenu.title = 'Show case summary for ' + Strings.encodeTags(contextDNA.name);
				Doc.show('sepCaseSummary');
				Doc.show('mnuCaseSummary');
			}
			else
			{
				Doc.hide('sepCaseSummary');
				Doc.hide('mnuCaseSummary');
			}
			
			var menu = Doc.element('menuContext');
			// 1 pixel offset to avoid losing well focus outline
			contextX = event.clientX+1;
			contextY = event.clientY+1;
			// Need short delay since 'mouseup' are also sent as 'click' events
			// to the 'document' object which BASE already have a Menu.hideAll()
			// call which would hide the menu immediately
			setTimeout(selectdna.showContextMenu, 100);
		}
	}
	
	selectdna.showContextMenu = function()
	{
		Menu.showTopMenu('menuContext', contextX, contextY);
	}

	selectdna.showCaseSummary = function()
	{
		if (!contextDNA) return;
		var caseName = contextDNA.name;
		// Remove suffix starting with dot "."
		var firstDotIndex = caseName.indexOf(".");
		if (firstDotIndex >= 0)
		{
			caseName = caseName.substring(0, firstDotIndex);
		}
		var url = '../reports/case_summary.jsp?ID='+App.getSessionId();
		url += '&caseName='+encodeURIComponent(caseName);
		url += '&pageType=popup';
		Dialogs.openPopup(url, 'CaseSummary'+caseName, 1000, 700);
	}
	
	selectdna.showFlaggedDna = function()
	{
		currentSelected = Plate.getSelected();
		currentIndex = 0;

		var flagged = Dna.getFlagged();
		var url = 'show_flagged_dna.jsp?ID='+App.getSessionId();
		url += '&numFlagged='+flagged.length;
		url += '&numSelected='+currentSelected.length;
		Dialogs.openPopup(url, 'FlaggedDna', 800, 500);
	}

	
	//Flag the selected DNA
	selectdna.flagSelected = function(event)
	{
		var flag = Data.get(event.currentTarget, 'flag');
		var wells = Plate.getSelected();
		
		if (wells.length == 0)
		{
			Forms.showNotification(event.currentTarget, 'No wells have been selected.');
			return;
		}
		
		var comment = null;
		if (flag == 'ManualFlag')
		{
			// Check if a comment has been set on any of the DNA
			for (var i = 0; i < wells.length; i++)
			{
				var well = wells[i];
				if (well.extract && well.extract.info) 
				{
					if (well.extract.info.comment) comment = well.extract.info.comment;
				}
			}
			comment = prompt('Comment', comment || '');
			if (!comment) return;
		}
		
		var count = 0;
		for (var i = 0; i < wells.length; i++)
		{
			var well = wells[i];
			var dna = well.extract;
			if (dna && !dna.stratagene && !dna.external)
			{
				Dna.flag(dna, flag);
				dna.info.comment = comment;
				well.setExtract(null);
				count++;
			}
			well.selected = false;
		}
		
		selectdna.updateNumFlaggedDna();
		Plate.paint(wells);
	}


	selectdna.validateStep3 = function(event)
	{
		if (!quantitiesAreValid) 
		{
			event.preventDefault();
			return;
		}

		var frm = document.forms['meludi'];
		var numErrors = 0;
		var numWarnings = 0;
		var numDna = 0;
		var numStratagene = 0;
		var numExternal = 0;
		var wells = Plate.getWells();
		var schema = PoolSchema.getById(frm.pool_schema.value);
		for (var i = 0; i < wells.length; i++)
		{
			var well = wells[i];
			var dna = well.extract;
			if (well.hasWarning())
			{
				numWarnings++;
			}
			if (well.hasError())
			{
				numErrors++;
			}
			else
			{
				if (dna && dna.id) 
				{
					numDna++;
					if (dna.stratagene) numStratagene++;
					if (dna.external) numExternal++;
				}
			}
		}

		if (numErrors > 0)
		{
			event.preventDefault();
			return;
		}
		
		if (numDna == 0)
		{
			alert('There is no DNA in any wells');
			event.preventDefault();
			return;
		}
		
		if (numWarnings > 0)
		{
			if (!confirm('There are ' + numWarnings + ' wells with a warning. Continue anyway?'))
			{
				event.preventDefault();
				return;
			}
		}
		
		if (schema)
		{
			var numPrimary = schema.numPools * schema.numWellsPerPool;
			if (numDna < numPrimary)
			{
				if (!confirm((numPrimary-numDna)+ ' primary wells are missing DNA. Continue anyway?'))
				{
					event.preventDefault();
					return;
				}
			}
		}
		
		if (numDna == numStratagene+numExternal)
		{
			if (!confirm('There are only wells with Stratagene or external DNA on this plate. Continue anyway?'))
			{
				event.preventDefault();
				return;
			}
		}
		
	}
	
	selectdna.submit = function()
	{
		var frm = document.forms['meludi'];
		var isNeoPrep = Data.int('page-data', 'is-neoprep');

		var submitInfo = {};
		var plateInfo = {};
		var flaggedDnaInfo = [];
		
		submitInfo.bioplate = plateInfo;
		submitInfo.flagged = flaggedDnaInfo;
		var schema = PoolSchema.getById(frm.pool_schema.value);
		
		plateInfo.name = Plate.name;
		plateInfo.comments = frm.comments.value;
/*
		plateInfo.plateType = isNeoPrep ? 'NEOPREP' : 'MDNA';
*/
		plateInfo.plateType = isNeoPrep ? 'NEOPREP' : 'DNA';
		plateInfo.poolSchema = schema ? schema.id : null;
		if (isNeoPrep)
		{
			plateInfo.barcodeVariant = frm.barcode_variant.value;
		}
		plateInfo.wells = [];

		var wells = Plate.getWells();
		for (var i = 0; i < wells.length; i++)
		{
			var well = wells[i];
			var dna = well.extract;
			if (dna && dna.id)
			{
				var tmp = {};
				tmp.row = well.row;
				tmp.column = well.column;
				tmp.dna = {};
				tmp.dna.id = dna.id;
				tmp.dna.usedQuantity = dna.usedQuantity;
				tmp.dna.dilutionConc = dna.dilutionConc;
				tmp.dna.qc = dna.qc;
				tmp.dna.comment = dna.comment;
				if (well.barcode)
				{
					tmp.dna.barcode = well.barcode;
				}
				plateInfo.wells[plateInfo.wells.length] = tmp;
			}
		}

		var flagged = Dna.getFlagged();
		for (var i = 0; i < flagged.length; i++)
		{
			var dna = flagged[i];
			var tmp = {};
			tmp.id = dna.id;
			tmp.flag = dna.flag;
			tmp.comment = dna.comment;
			flaggedDnaInfo[flaggedDnaInfo.length] = tmp;
		}

		var url = '../Dna.servlet?ID='+App.getSessionId();
		url += '&cmd=CreateDnaOrLibPlate';
		Wizard.showLoadingAnimation('Performing registration...');
		Wizard.asyncJsonRequest(url, selectdna.submissionResults, 'POST', JSON.stringify(submitInfo));
	}
	
	selectdna.submissionResults = function(response)
	{
		Wizard.showFinalMessage(response.messages);
		Doc.show('gorestart');
	}
	
	selectdna.initElements = function(element, autoInit)
	{
		if (autoInit == 'plate-col')
		{
			Events.addEventHandler(element, 'click', selectdna.toggleColumn);
			Events.addEventHandler(element, 'mouseover', selectdna.highlightColumn);
			Events.addEventHandler(element, 'mouseout', selectdna.highlightColumn);
		}
		else if (autoInit == 'plate-row')
		{
			Events.addEventHandler(element, 'click', selectdna.toggleRow);
			Events.addEventHandler(element, 'mouseover', selectdna.highlightRow);
			Events.addEventHandler(element, 'mouseout', selectdna.highlightRow);
		}
		else if (autoInit == 'plate-well')
		{
			Events.addEventHandler(element, 'click', selectdna.toggleWell);
			Events.addEventHandler(element, 'mouseover', selectdna.highlightReplicated);
			Events.addEventHandler(element, 'mouseout', selectdna.highlightReplicated);
		}
		else if (autoInit == 'special-select')
		{
			Events.addEventHandler(element, 'click', selectdna.specialToggle)
		}
	}

	// Restrict wells to left side of plate
	selectdna.restrictWells = function(wellsInput)
	{
		var wells = [];
		for (var i = 0; i < wellsInput.length; i++)
		{
			well = wellsInput[i];
			if (well.column < 6)
			{
				wells[wells.length] = well;
			}
		}
		return wells;
	}

	// Toggle the selected status of a single well
	selectdna.toggleWell = function(event)
	{
		var row = Data.int(event.currentTarget, 'row');
		var column = Data.int(event.currentTarget, 'col');
		if (column >= 6)
		{
			return;
		}
		var well = Plate.getWell(row, column);
		Plate.toggleSelected([well]);
	}

	// Toggle the selected status of a complete row
	selectdna.toggleRow = function(event)
	{
		var row = Data.int(event.currentTarget, 'row');
/*
		Plate.toggleSelected(Plate.getRow(row));
*/
		var wells = selectdna.restrictWells(Plate.getRow(row));
		Plate.toggleSelected(wells);
	}

	// Toggle the selected status of a complete column
	selectdna.toggleColumn = function(event)
	{
		var column = Data.int(event.currentTarget, 'col');
		if (column >= 6)
		{
			return;
		}
		Plate.toggleSelected(Plate.getColumn(column));
	}
	
	// Toggle the selected status of a pool
	selectdna.togglePool = function(event)
	{
		var pool = Data.int(event.target, 'pool-num');
/*
		if (!isNaN(pool)) Plate.toggleSelected(Plate.getPool(pool));
*/
		if (!isNaN(pool) && pool < 1)
		{
			Plate.toggleSelected(Plate.getPool(pool));
		}
	}
	
	// Highlight enable/disable all wells in a column
	selectdna.highlightColumn = function(event)
	{
		var column = Data.int(event.currentTarget, 'col');
		if (column >= 6)
		{
			return;
		}
		var on = event.type == 'mouseover';
		
		Doc.addOrRemoveClass(event.currentTarget, 'highlight-column', on);
		var wells = Plate.getColumn(column);
		Plate.setHighlight(wells, 'highlight-column', on);
	}

	// Highlight enable/disable all wells in a row
	selectdna.highlightRow = function(event)
	{
		var row = Data.int(event.currentTarget, 'row');
		var on = event.type == 'mouseover';
		
		Doc.addOrRemoveClass(event.currentTarget, 'highlight-row', on);
/*
		var wells = Plate.getRow(row);
*/
		var wells = selectdna.restrictWells(Plate.getRow(row));
		Plate.setHighlight(wells, 'highlight-row', on);
	}
	
	// Highligt enable/disable all wells in a pool
	selectdna.highlightPool = function(event)
	{
		var pool = Data.int(event.target, 'pool-num');
		var on = event.type == 'mouseover';
/*
		if (!isNaN(pool))
*/
		if (!isNaN(pool) && pool < 1)
		{
			Doc.addOrRemoveClass(event.target, 'highlight-pool', on);
			var wells = Plate.getPool(pool);
			Plate.setHighlight(wells, 'highlight-pool', on);
		}
	}

	/**
		Highlight all replicated wells with the same DNA as the given well.
	*/
	selectdna.highlightReplicated = function(event)
	{
		var column = Data.int(event.currentTarget, 'col');
		if (column >= 6)
		{
			return;
		}
		var row = Data.int(event.currentTarget, 'row');
		var on = event.type == 'mouseover';
		
		var well = Plate.getWell(row, column);
		if (well.extract && well.replicate)
		{
			// Get center coordinates for the current well
			var pos = Doc.getElementPosition(well.tag);
			var jsPos = new jsPoint(pos.left+pos.width/2, pos.top+pos.height/2);
	
			var replicated = Plate.getWellsByName(well.extract.name);
			for (var i = 0; i < replicated.length; i++)
			{
				var rep = replicated[i];
				if (rep != well)
				{
					Doc.addOrRemoveClass(rep.tag, 'highlight-replicated', on);
					if (rep.line)
					{
						// Clear any recent lines
						graphics.clearDrawing(rep.line);
						rep.line = null;
					}
					if (on)
					{
						// We draw a line between the current and replicated well
						var rPos = Doc.getElementPosition(rep.tag);
						rep.line = graphics.drawLine(pen, jsPos, new jsPoint(rPos.left+rPos.width/2, rPos.top+rPos.height/2));
					}
				}
			}
		}
	}

	// Some special toogle operations
	selectdna.specialToggle = function(event)
	{
		var what = Data.get(event.currentTarget, 'special');
		var wells = [];
		if (what == 'all' || what == 'empty' || what == 'none')
		{
			// All wells or all empty (will be filtered later)
			wells = Plate.getWells();
		}
		else if (what == 'pools' || what == 'empty-pools')
		{
			// All primary pools or all empty in the primary pools (will be filtered later)
			for (var i = 0; i < Plate.poolSchema.numPools; i++)
			{
				wells = wells.concat(Plate.getPool(i));
			}
		}
		else if (what == 'stratagene')
		{
			// All wells with 'Stratagene'
			var tmp = Plate.getWells();
			for (var i = 0; i < tmp.length; i++)
			{
				var well = tmp[i];
				if (well.extract && well.extract.stratagene) wells[wells.length] = well;
			}
		}
		else if (what == 'external')
		{
			// All wells with 'External DNA'
			var tmp = Plate.getWells();
			for (var i = 0; i < tmp.length; i++)
			{
				var well = tmp[i];
				if (well.extract && well.extract.external) wells[wells.length] = well;
			}
		}
		else if (what == 'replicates')
		{
			// All wells with replicated DNA
			var tmp = Plate.getWells();
			for (var i = 0; i < tmp.length; i++)
			{
				var well = tmp[i];
				if (well.extract && well.replicate) wells[wells.length] = well;
			}
		}
		else if (what == 'error')
		{
			// All wells with an error
			var tmp = Plate.getWells();
			for (var i = 0; i < tmp.length; i++)
			{
				var well = tmp[i];
				if (well.hasError()) wells[wells.length] = well;
			}
		}
		else if (what == 'warning')
		{
			// All wells with a warning
			var tmp = Plate.getWells();
			for (var i = 0; i < tmp.length; i++)
			{
				var well = tmp[i];
				if (well.warning) wells[wells.length] = well;
			}
		}
		
		// Extra filter for empty wells only
		if (what.indexOf('empty') != -1)
		{
			var tmp = wells;
			wells = [];
			for (var i = 0; i < tmp.length; i++)
			{
				if (!tmp[i].extract) wells[wells.length] = tmp[i];
			}
		}
		
		if (what == 'none')
		{
			Plate.setSelected(wells, false);
		}
		else
		{
			Plate.toggleSelected(wells);
		}
	}

	// Format value as a date in format yyyy-mm-dd
	selectdna.asDate = function(value)
	{
		if (!value) return '';
		if (value.length == 8)
		{
			value = value.substr(0, 4) + '-' + value.substr(4, 2) + '-' + value.substr(6, 2);
		}
		return value;
	}

	return selectdna;
}();

Doc.onLoad(SelectDna.initPage);
Doc.addElementInitializer(SelectDna.initElements);


var Dna = function()
{
	var dna = {};
	var flagged = [];
	var info = [];
	
	/**
		Create a new DNA object by name. More information
		about the DNA is automatically loaded from the database.
	*/
	dna.createByName = function(name)
	{
		var tmp = {};
		tmp.name = name;
		tmp.stratagene = Meludi.isStratagene(name)
		tmp.external = Meludi.isExternal(name);
		tmp.info = dna.infoByName(name);
//alert("select_dna.js::dna.createByName(name): name = " + name + " info = " + JSON.stringify(tmp.info));
		tmp.id = tmp.info.id;
		return tmp;
	}
	
	/**
		Create a new DNA object by info object.
	*/
	dna.createByInfo = function(info)
	{
		var tmp = {};
		tmp.name = info.name;
		tmp.stratagene = Meludi.isStratagene(tmp.name);
		tmp.external = Meludi.isExternal(tmp.name);
		tmp.id = info.id;
		tmp.info = info;
		return tmp;
	}
	
	/**
		Get information about a DNA item with a given name.
	*/
	dna.infoByName = function(name)
	{
		var key = 'N'+name;
		if (!info[key])
		{
			dna.loadInfoByNames([name]);
			if (!info[key]) info[key] = {};
		}
		return info[key];
	}

	/**
		Load and cache DNA information for all DNA items with a name in the
		given list.
	*/
	dna.loadInfoByNames = function(names)
	{
		var newNames = [];
		for (var i = 0; i < names.length; i++)
		{
			if (!info['N'+names[i]]) newNames[newNames.length] = names[i];
		}
		
		var submitInfo = {};
		submitInfo.names = newNames;
		
		if (newNames.length > 0)
		{
			var url = '../Dna.servlet?ID='+App.getSessionId();
			url += '&cmd=GetDnaInfoFromNames';	
			var response = Wizard.syncJsonRequest(url, 'POST', JSON.stringify(submitInfo));
			dna.cacheInfo(response.dna);
		}
	}
	
	dna.cacheInfo = function(dnaList)
	{
		for (var i = 0; i < dnaList.length; i++)
		{
			var r = dnaList[i];
			info['N'+r.name] = r;
			info['I'+r.id] = r;
			if (r.flag) flagged[flagged.length] = r;
		}
	}

	dna.unflag = function(r)
	{
		if (!r.info || !r.info.flag) return false;

		r.info.flag = null;
		for (var i = 0; i < flagged.length; i++)
		{
			if (r.id == flagged[i].id)
			{
				flagged.splice(i, 1);
				break;
			}
		}
		return true;
	}
	
	dna.flag = function(r, flag)
	{
		if (!r.info || r.info.flag) return false;
		r.info.flag = flag;
		flagged[flagged.length] = r.info;
	}
	
	dna.getFlagged = function()
	{
		return flagged;
	}
	
	return dna;
}();



var WellPainter = function()
{
	var painter = {};
	
	// Add class indicators for replicates and QC assigned wells
	painter.getClassNameForWell = function(well)
	{
		var cls = '';
		if (well.extract)
		{
			if (well.replicate) cls += ' replicate';
			if (well.extract.qc) cls += ' qc';
		}
		if (well.column == Plate.columns-1) cls += ' last-child';
		
		return cls;
	}
	
	painter.getWellText = function(well)
	{
		var text = '';
		if (well.duplicates)
		{
			well.setError('Duplicate DNA in this location');
			text += '<div class="name">'+Strings.encodeTags(well.duplicates.join(', '))+'</div>';
		}
		else if (well.extract)
		{
			// The well contains DNA
			var dna = well.extract;
			var info = dna.info;
			// --- DNA aliquot name
			text += '<div class="name">'+Strings.encodeTags(dna.name)+'</div>';
//alert("select_dna.js::getWellText(): info = " + JSON.stringify(info));
			
			var warningMsg = [];
			// --- Bioplate location
			if (info.bioWell)
			{
				var dnaWell = info.bioWell;
				text += '<div class="location">'+Strings.encodeTags(dnaWell.bioPlate.name+'['+dnaWell.location)+']</div>';
			}
			else if (info.preNormalized)
			{
				text += '<div class="location">PreNormalized</div>';
			}
			else if (!dna.stratagene && !dna.external)
			{
				warningMsg[warningMsg.length] = 'No location';
			}

			if (info && info.id && !dna.stratagene && !dna.external)
			{
				// Calculations for each aliquot
				var VOL_ALIQUOT = 10.0; // µl
				var deltaCt = info.deltaCt;
				var dilutionFactor = painter.fetchDilutionFactor(deltaCt);
				var volDNA = VOL_ALIQUOT/dilutionFactor;
				var water = VOL_ALIQUOT - volDNA;
				var removedVolume = 2 * volDNA; // µl
				var origConc = info.QubitConc; // ng/µl
				//var usedQuantityPerAliquout = Math.ceil(VOL_ALIQUOT*origConc/dilutionFactor/1000); // µg
				//var usedQuantityPerAliquout = VOL_ALIQUOT*origConc/dilutionFactor/1000; // µg
				var usedQuantity = volDNA*origConc; // ng
				dna.usedQuantity = dna.qc ? QUANTITY_QC : usedQuantity/1000; // µg
//alert("select_dna.js::painter.getWellText(): name = " + dna.name + " removedVolume = " + removedVolume + " deltaCt = " + deltaCt + " dilutionFactor = " + dilutionFactor + " origConc = " + origConc + " usedQuantity = " + usedQuantity + " ng");

/*				
				dna.usedQuantity = dna.qc ? QUANTITY_QC : QUANTITY_REGULAR; // µg
				dna.dilutionConc = 1000 * dna.usedQuantity / TOTAL_VOLUME; // ng/µl

				var volDNA = Math.ceil(10000*dna.usedQuantity/info.QubitConc) / 10; // µl, rounded to 1 decimal
				var water = TOTAL_VOLUME - volDNA;
*/				

				if (removedVolume < MINIMAL_DNA_VOLUME)
				{
/*
					// Large mix since we do not want to take less than 1µl
					volDNA = MINIMAL_DNA_VOLUME;
					dna.usedQuantity = volDNA * info.QubitConc / 1000; // µg
					var totalVolume = 1000 * dna.usedQuantity / dna.dilutionConc; // µl
					water = totalVolume - volDNA;
					warningMsg[warningMsg.length] = 'Large mix';
*/
					warningMsg[warningMsg.length] = 'Vol < MINIMAL_DNA_VOLUME = ' + MINIMAL_DNA_VOLUME;
				}

/*				
				if (info.remainingQuantity != null)
				{
					//text += '<div class="quantity">'+Numbers.formatNumber(info.remainingQuantity, 2) + 'µg</div>';
					var quantityLeft = 1000.0*info.remainingQuantity - 2*usedQuantity; // ng
//alert("select_dna.js::painter.getWellText(): name = " + dna.name + " info.remainingQuantity = " + info.remainingQuantity + " µg usedQuantity = " + usedQuantity + " ng quantityLeft = " + quantityLeft + " ng");
					//text += '<div class="quantity">'+Numbers.formatNumber(quantityLeft, 2) + 'µg '+Numbers.formatNumber(volDNA, 1)+'µl</div>';
					text += '<div class="quantity">'+Numbers.formatNumber(usedQuantity, 2) + 'ng '+Numbers.formatNumber(volDNA, 1)+'µl</div>';

					// Must have at least 1.1µg or 1.22µg (if default values are used)
					var remainLimit = dna.qc ? QUANTITY_QC : QUANTITY_REGULAR;
*/
/*
					if (info.remainingQuantity < remainLimit)
					{
						well.setError('Not enough DNA');
					}
					// Warning if near the limit
					if (info.remainingQuantity < LOW_QUANTITY_WARNING_LIMIT && !info.preNormalized)
					{
						warningMsg[warningMsg.length] = 'Low quantity';
					}
*/
/*
					if (quantityLeft < 1000.0*remainLimit)
					{
						well.setError('Not enough DNA');
					}
					// Warning if near the limit
					if (quantityLeft < 1000.0*LOW_QUANTITY_WARNING_LIMIT && !info.preNormalized)
					{
						warningMsg[warningMsg.length] = 'Low quantity';
					}
*/
/*
				}
				else
				{
					warningMsg[warningMsg.length] = 'No quantity';
				}
*/
				// --- Used volume+water
				if (info.QubitConc != null)
				{
					text += '<div class="volumes"><span class="volume">'+Numbers.formatNumber(volDNA, 1)+'</span> + <span class="water">'+Numbers.formatNumber(water, 1)+'µl</span></div>';
				}
				// --- ΔCt
				if (info.deltaCt != null)
				{
					text += '<div class="quality-score">ΔCt='+Numbers.formatNumber(info.deltaCt, 1) + '</div>';
					if (info.deltaCt > QUALITY_SCORE_WARNING_LIMIT) warningMsg[warningMsg.length] = 'High ΔCt value';
				}
				else
				{
					warningMsg[warningMsg.length] = 'No ΔCt value';
				}
				// --- QubitConc
				if (info.QubitConc)
				{
					text += '<div class="qubitconc">'+Numbers.formatNumber(info.QubitConc, 2) + 'ng/µl</div>';
				}
				else
				{
					warningMsg[warningMsg.length] = 'No QubitConc value';
				}
/*
				if (info.QiacubeDate)
				{
					text += '<div class="qiacube-date">'+info.QiacubeDate+'</div>';
				}
				else if (info.DilutionDate)
				{
					text += '<div class="dilution-date">'+info.DilutionDate+'</div>';
				}
				else
				{
					warningMsg[warningMsg.length] = info.preNormalized ? 'No DilutionDate value' : 'No QiacubeDate value';
				}
*/
				if (info.AutoProcessing)
				{
					warningMsg[warningMsg.length] = info.AutoProcessing;
				}
/*
				dna.usedQuantity = dna.qc ? QUANTITY_QC : QUANTITY_REGULAR; // µg
				dna.dilutionConc = 1000 * dna.usedQuantity / TOTAL_VOLUME; // ng/µl

				var volDNA = Math.ceil(10000*dna.usedQuantity/info.QubitConc) / 10; // µl, rounded to 1 decimal
				var water = TOTAL_VOLUME - volDNA;
				
				if (volDNA < MINIMAL_DNA_VOLUME)
				{
					// Large mix since we do not want to take less than 1µl
					volDNA = MINIMAL_DNA_VOLUME;
					dna.usedQuantity = volDNA * info.QubitConc / 1000; // µg
					var totalVolume = 1000 * dna.usedQuantity / dna.dilutionConc; // µl
					water = totalVolume - volDNA;
					warningMsg[warningMsg.length] = 'Large mix';
				}
				
				if (info.remainingQuantity)
				{
					//text += '<div class="quantity">'+Numbers.formatNumber(info.remainingQuantity, 2) + 'µg</div>';
					text += '<div class="quantity">'+Numbers.formatNumber(info.remainingQuantity, 2) + 'µg '+Numbers.formatNumber(volDNA, 1)+'µl</div>';
					// Must have at least 1.1µg or 1.22µg (if default values are used)
					var remainLimit = dna.qc ? QUANTITY_QC : QUANTITY_REGULAR;
					if (info.remainingQuantity < remainLimit)
					{
						well.setError('Not enough DNA');
					}
					// Warning if near the limit
					if (info.remainingQuantity < LOW_QUANTITY_WARNING_LIMIT && !info.preNormalized)
					{
						warningMsg[warningMsg.length] = 'Low quantity';
					}
				}
				else
				{
					warningMsg[warningMsg.length] = 'No quantity';
				}
				if (info.deltaCt)
				{
					text += '<div class="quality-score">ΔCt='+Numbers.formatNumber(info.deltaCt, 1) + '</div>';
					if (info.deltaCt > QUALITY_SCORE_WARNING_LIMIT) warningMsg[warningMsg.length] = 'High ΔCt value';
				}
				else
				{
					warningMsg[warningMsg.length] = 'No ΔCt value';
				}
				if (info.QubitConc)
				{
					text += '<div class="qubitconc">'+Numbers.formatNumber(info.QubitConc, 2) + 'ng/µl</div>';
					text += '<div class="volumes"><span class="volume">'+Numbers.formatNumber(volDNA, 1)+'</span> + <span class="water">'+Numbers.formatNumber(water, 1)+'µl</span></div>';
				}
				else
				{
					warningMsg[warningMsg.length] = 'No QubitConc value';
				}
				if (info.QiacubeDate)
				{
					text += '<div class="qiacube-date">'+info.QiacubeDate+'</div>';
				}
				else if (info.DilutionDate)
				{
					text += '<div class="dilution-date">'+info.DilutionDate+'</div>';
				}
				else
				{
					warningMsg[warningMsg.length] = info.preNormalized ? 'No DilutionDate value' : 'No QiacubeDate value';
				}
				if (info.AutoProcessing)
				{
					warningMsg[warningMsg.length] = info.AutoProcessing;
				}
*/
			}
			else if (!dna.id)
			{
				well.setError('DNA not found');
			}
			if (dna.comment)
			{
				text += '<div class="comment">'+Strings.encodeTags(dna.comment)+'</div>';
			}
			if (info && info.comment)
			{
				text += '<div class="comment">'+Strings.encodeTags(info.comment)+'</div>';
			}
			if (warningMsg.length > 0)
			{
				well.setWarning(warningMsg.join('; '));
			}
		}
		else if (well.copyText)
		{
			text = '<div class="copy-text">'+well.copyText+'</div>';
		}
		else
		{
			text = 'empty';
		}
		if (well.duplicate)
		{
			well.setError('Duplicate barcode');
		}

		var bc = Doc.element('barcode.'+well.row+'.'+well.column);
		if (bc)
		{
			var cls = 'barcode-well'
			cls += well.column == 0 ? ' barcode-left' : ' barcode-right';

			if (well.barcode)
			{
				bc.innerHTML = well.barcode.name;
				var indexSet = painter.barcodeVariant ? painter.barcodeVariant.indexSets[well.column] : null;
				if (indexSet)
				{
					cls += ' ' + indexSet.color;
				}
				if (well.defaultBarcode && well.barcode != well.defaultBarcode)
				{
					cls += ' bg-modified';
				}
				if (well.duplicate)
				{
					cls += ' duplicate';
				}
			}
			bc.className = cls;
		}
		return text;
	}

	painter.fetchDilutionFactor = function(deltaCt)
	{
		var dilutionFactor = 1.0;
		if (deltaCt > 0.5 && deltaCt <= 1.5)
		{
			dilutionFactor = 2.0;
		}
		if (deltaCt > -0.5 && deltaCt <= 0.5)
		{
			dilutionFactor = 4.0;
		}
		if (deltaCt > -1.5 && deltaCt <= -0.5)
		{
			dilutionFactor = 8.0;
		}
		if (deltaCt <=- 1.5)
		{
			dilutionFactor = 16.0;
		}
		return dilutionFactor;
	}
	
	return painter;
}();
